include("run_experiments.jl")

const datapath = joinpath(@__DIR__, "..", "data")

ctx = Util.Context(datapath)

#ctx(experiment_convergence_test, "fd/convergence/test")
ctx(experiment_convergence_denoising, "fd/convergence/denoising")
ctx(experiment_convergence_inpainting, "fd/convergence/inpainting")
ctx(experiment_convergence_opticalflow, "fd/convergence/opticalflow")

ctx(experiment_surrogate_outerinner, "fd/surrogate/outerinner")
ctx(experiment_surrogate_outerinner_ref, "fd/surrogate/outerinner_ref")

ctx(experiment_global_basic, "fd/global/basic")

# note: run these with multiple worker processes
# don't forget `@everywhere Pkg.activate(".")`
ctx(experiment_scaling_opticalflow, "fd/scaling/opticalflow")
